Run wrap-and-sort.
[sven/java-package.git] / debian / control
index 5fc19f2..4c70392 100644 (file)
@@ -3,27 +3,34 @@ Section: contrib/misc
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: C├ędric Pineau <cedric.pineau@gmail.com>
-Vcs-Git: git://git.debian.org/git/pkg-java/java-package.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/java-package.git
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-java/java-package.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/java-package.git
 
 Package: java-package
 Architecture: all
-Depends:  ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2, debconf (>= 0.5) | debconf-2.0
-Recommends: dpkg-dev, gcc
-Suggests: openjdk-6-jre, openjdk-7-jre
-Description: utility for building Java related Debian packages
+Depends: debhelper (>= 9),
+         dpkg-dev,
+         fakeroot,
+         libasound2,
+         libx11-6,
+         lsb-release,
+         unzip,
+         ${misc:Depends}
+Recommends: gcc
+Suggests: openjdk-7-jre
+Description: Utility for creating Java Debian packages
  This package provides the capability to build a Debian package from
  a Java binary distribution by running make-jpkg <java binary archive file>.
  (with archive files downloaded from providers listed below)
  .
  Supported java binary distributions currently include:
    * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
-     - The J2SE Development Kit (JDK), version 6 (update >= 10), 7
-     - The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
-     - The J2SE API Javadoc, version 6 (update >= 10), 7
  (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
+     - The Java Development Kit (JDK), version 6, 7 and 8
+     - The Java Runtime Environment (JRE), version 6, 7 and 8
+     - The Java API Javadoc, version 6, 7 and 8
+ (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
  .
- Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
or openjdk-7-jdk/openjdk-7-jre. java-package will install non-free packages.
+ Please note that Debian recommends the use of openjdk-7-jdk/openjdk-7-jre.
+ java-package will install non-free packages.